Loading...
Searching...
No Matches
Dune::Parallel Namespace Reference

## Functions

template<typename OP, typename... Args>
void | MPI_AllApply (MPI_Comm mpicomm, OP &&op, const Args &... data)
| apply an operator locally to a difstributed data set

## Function Documentation

## MPI_AllApply()

template<typename OP, typename... Args>

void Dune::Parallel::MPI_AllApply | ( | MPI_Comm | mpicomm,
|  | OP && | op,
|  | const Args &... | data )

apply an operator locally to a difstributed data set

We consider distributed data, available on all processes in mpicomm. We ensure that the data is sent to each process so that operator op can be applied on each processor locally. This is helpful, if op also involved other local data.

Parameters

  mpicomm | communicator which onctaines the distributed data
  op | callable which should be applied to the distributed data
  data | variadic list of vectors containing the local data